This Bugzilla instance is a read-only archive of historic NetBeans bug reports. To report a bug in NetBeans please follow the project's instructions for reporting issues.

Bug 188209

Summary: API review of cancelable ElementJavadoc.create
Product: java Reporter: Tomas Zezula <tzezula>
Component: SourceAssignee: Tomas Zezula <tzezula>
Status: RESOLVED FIXED    
Severity: normal CC: jlahoda, tzezula
Priority: P2 Keywords: API, API_REVIEW_FAST
Version: 6.x   
Hardware: PC   
OS: Mac OS X   
Issue Type: TASK Exception Reporter:
Bug Depends on:    
Bug Blocks: 171183    
Attachments: patch

Description Tomas Zezula 2010-06-29 17:39:57 UTC
The ElementJavadoc.create needs to call expensive project queries which may in case of api support project block for long time. The new method allows the caller to stop the ElementJavadoc.create when the result is no more needed and the calculation blocks the parsing infrastructure.
Comment 1 Tomas Zezula 2010-06-29 17:41:01 UTC
Created attachment 100495 [details]
patch
Comment 2 Jan Lahoda 2010-06-30 06:17:01 UTC
The change seems fine to me.
Comment 3 Tomas Zezula 2010-06-30 07:23:20 UTC
Thanks Honzo.
I will integrate it.
Comment 4 Tomas Zezula 2010-06-30 08:11:23 UTC
Fixed in jet-main bcf0fcbbc084
Comment 5 Quality Engineering 2010-07-03 03:55:11 UTC
Integrated into 'main-golden', will be available in build *201007030001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/bcf0fcbbc084
User: Tomas Zezula <tzezula@netbeans.org>
Log: #188209:API review of cancelable ElementJavadoc.create